'err.json.trim is not a function': Failed to update application

support

#1

I created a new, simple application and I’m trying to get it deployed to a Raspberry Pi Model A. Supervisor 5.1.0, host Resin OS 2.0.8+rev1 (prod)

No matter how much of the app code I remove, I continue to get the following message in the resin.io deployment log:

Failed to update application 'registry2.resin.io/fireplacetest/f2e74057f4d974008dab91da58d6301320b17e78' due to 'err.json.trim is not a function'

I get no stack trace. It seems that my python code doesn’t even begin running. This might be where the error message is coming from, and I have no idea what to do about it. Any ideas?


#2

Update: With Resin OS 2.0.6+rev3 (prod) and supervisor 4.3.1 the application appears to function correctly. Could this be some kind of regression in Resin OS? I tried refreshing 2.0.8 and it still fails with the error I cited above.

At least I can keep developing while we figure out what’s going on on new OS versions.


#3

Hello, yes, it’s a regression in the Supervisor unfortunately. It’s been fixed since – https://github.com/resin-io/resin-supervisor/commit/279ab6023359dccd73c4b74d3297c5c70800bbef – and is available from ResinOS v2.1.0.


#4

@smartperson that resinOS version is not released yet, but the supervisor was. If you’d like, we can trigger an update for your supervisor to get the new version, just PM me your device link if interested.